package storage

import "shylinux.com/x/ice"

type storage struct{ Table }

func init() { ice.TeamCtxCmd(storage{}) }

type StorageType int

const (
	StorageSystem StorageType = iota
	StorageBaidu
	StorageAliyun
)

var StorageTypeList = map[StorageType]string{
	StorageSystem: "system",
	StorageBaidu:  "baidu",
	StorageAliyun: "aliyun",
}

func (s StorageType) String() string { return StorageTypeList[s] }
